<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"></script>
  <link rel="icon" href="favIcon.png" type="image/icon type">

  <title>Home</title>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">NPC</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">

          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="./home.html">Home</a>
          </li>
          
          <span class="account-only" hidden>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="./account.html">Account</a>
            </li>
          </span>

          <span class="no-account" hidden>
            <li class="nav-item">
              <a id="register-a" class="nav-link active" aria-current="page" href="./register.html">Register</a>
            </li>
          </span>

          <span class="no-account" hidden>
            <li class="nav-item">
              <a id="login-a" class="nav-link active" aria-current="page" href="./login.html">Login</a>
            </li>
          </span>

          <span class="account-only" hidden>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown"
                aria-expanded="false">
                Games
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="./rockpaperscissors.html">1. Rock Paper Scissors</a></li>
                <li><a class="dropdown-item" href="./stockguessing.html">2. Stock Guessing Game</a></li>
                <li><a class="dropdown-item" href="./coin-flip.html">3. Coin Flip Game</a></li>

              </ul>
            </li>
          </span>

        </ul>
        <ul class="navbar-nav mb-2 mb-lg-0 account-only" hidden>
          <li class="nav-item d-flex">
            <button id="logout-button" type="button" class="btn btn-outline-danger">Log Out</button>
            <!-- <a id="logout-a"class="nav-link active" aria-current="page" hidden="false" href="#">Logout</a> -->
          </li>
        </ul>

      </div>
    </div>
  </nav>

  <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
    <symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
      <path
        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
    </symbol>

  </svg>

  <div class="no-account" hidden>
    <div class="alert alert-primary d-flex align-items-center" role="alert">
      <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Info:">
        <use xlink:href="#info-fill" />
      </svg>
      <div>
        Login or create an account to play!
      </div>
    </div>
  </div>


  <div class="container">
    <h2 class="text-center m-5">Welcome to North Pole Casino!</h2>
    <h3 id="user"></h3>
    <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">
      <div class="carousel-indicators">
        <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active"
          aria-current="true" aria-label="Slide 1"></button>
        <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1"
          aria-label="Slide 2"></button>
        <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2"
          aria-label="Slide 3"></button>
      </div>
      <div class="carousel-inner">
        <div class="carousel-item active ">
          <img src="images/rps_img.jpeg" class="d-block w-100" alt="..." style="opacity: 50%;">
          <div class="carousel-caption text-dark ">
            <h1 class="card-title">Rock Paper Scissors</h1>
            <p class="card-text">Guess the right hand to win!</p>
            <a href="./rockpaperscissors.html" class="btn btn-primary">Play Now</a>
          </div>
        </div>
        <div class="carousel-item">
          <img src="images/stock_img2.jpeg" class="d-block w-100" alt="...">
          <div class="carousel-caption ">
            <h1 class="card-title">Stock Guessing Games</h1>
            <p class="card-text">Guess the highest stock to win!</p>
            <a href="./stockguessing.html" class="btn btn-light text-primary">Play Now</a>
          </div>
        </div>
        <div class="carousel-item">
          <img src="images/coinflip.jpg" class="d-block w-100" alt="...">
          <div class="carousel-caption">
            <h1 class="card-title">Coin Flip Game</h1>
            <p class="card-text">Heads or tails? You Choose!</p>
            <a href="./coin-flip.html" class="btn btn-light  text-primary">Play Now</a>
          </div>
        </div>
      </div>
      <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions"
        data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Previous</span>
      </button>
      <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions"
        data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Next</span>
      </button>
    </div>

    <br>
    <div class="container">
      <h2 class="align-center text-center">Leader Board</h2>
      <!-- <main>
        <ol id="record-list" class="list-group"></ol>
      </main> -->

      <br>
      <table class="table" id="leaderboard-table" style="width:100%">
      </table>
    </div>
  </div>
  <!-- <br>
    <div class="container">
      <h2>Leaderboard</h2>
      <ol id="leaderboard-list" class="list-group"></ol>
    </div> -->


  
  <script src="home.js"></script>
  <!-- <script type="text/javascript" src="./js/logout.js"></script> -->
  
</body>

</html>